Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMProperty

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMAccess
                  |
                  +--com.jxml.quick.model.qjml.QMProperty

All Implemented Interfaces:
  Cloneable

public class QMProperty
extends QMAccess

Models the property element in QJML. The property element defines a pair of methods which constitute a Java Bean Property.

    DTD:

    <!ELEMENT property EMPTY>

    <!ATTLIST property
        name CDATA #IMPLIED
        kind (array|list|map|indexed) #IMPLIED
        size CDATA "-1"
        inherited (get|set|both) CDATA #IMPLIED
        initializer CDATA #IMPLIED
        coin CDATA #IMPLIED
        key CDATA #IMPLIED
        abstract CDATA "True"
        read CDATA "True"
        write CDATA "True"
        ID id #IMPLIED
    >

Field Summary
`boolean` | `abst` Models the abstract attribute on the property element.
`String` | `initializer` Models the initializer attribute on the property element.
`QMCoin` | `myCoin`
`boolean` | `read` Models the read attribute on the property element.
`boolean` | `write` Models the write attribute on the property element.

Fields inherited from class com.jxml.quick.model.qjml.QMAccess
`coin, ia, key, keyAccess, kind, mCoin, name, size`

Constructor Summary
`QMProperty()`

Method Summary
`void` | `addAccessor(Map coinMap, Map contentMap, QMCoin myCoin)` Add accessor.
`void` | `buildMaps(Map coinMap, Map contentMap, QMCoin myCoin)` Builds the maps.
`boolean` | `equals(Object o)` Returns true when the names are equal and the abstract properties are equal
`void` | `init(Map coinMap, Map contentMap, QMCoin myCoin, QMContentModel contentModel)` Resolve references, inheritance.
`void` | `munge()` Munge info from two accessors which should be identical.

Methods inherited from class com.jxml.quick.model.qjml.QMAccess
`clone, getClassName`

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initializer

    public String initializer

  Models the initializer attribute on the property element. This attribute provides the text used to generate initialization code for the initial value of the property-- useful when generating Java code from a QJML file. The initializer attribute is optional.

### abst

    public boolean abst

  Models the abstract attribute on the property element. When true, the property methods are abstract--this can only be used on an abstract coin, which is to say on an abstract Java class. The abstract attribute defaults to false.

### read

    public boolean read

  Models the read attribute on the property element. When true, the property has a get method. The read attribute defaults to true.

### write

    public boolean write

  Models the write attribute on the property element. When true, the property has a set method. The write attribute defaults to true.

### myCoin

    public transient QMCoin myCoin

Constructor Detail

### QMProperty

    public QMProperty()

Method Detail

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QMCoin myCoin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QMAccess`

### addAccessor

    public void addAccessor(Map coinMap,
                            Map contentMap,
                            QMCoin myCoin)
                     throws SAXException

  Add accessor.
  Overrides:
    `addAccessor` in class `QMAccess`

### munge

    public void munge()

  Munge info from two accessors which should be identical.
  Overrides:
    `munge` in class `QMAccess`

### init

    public void init(Map coinMap,
                     Map contentMap,
                     QMCoin myCoin,
                     QMContentModel contentModel)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QMAccess`

### equals

    public boolean equals(Object o)

  Returns true when the names are equal and the abstract properties are equal
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD